#!/bin/bash

module load gromacs/single/2019

# Set watermodel
# 1: SPC      
# 2: SPC/E    
# 3: TIP3P     
# 4: TIP4P    
# 5: TIP4P/ε
WM_INDICES=( 2 )

for WM_INDEX in ${WM_INDICES[@]}; do

    if [ $WM_INDEX == 1 ]; then 
        WM="spc"
    elif [ $WM_INDEX == 2 ]; then
        WM="spce"
    elif [ $WM_INDEX == 3 ]; then
        WM="tip3p"
    elif [ $WM_INDEX == 4 ]; then
        WM="tip4p"
    elif [ $WM_INDEX == 5 ]; then
        WM="tip4pe"
    else
        echo "$WM_INDEX is not valid. Should be between 1 and 5." > /dev/stderr
        continue
    fi
    
    cd $WM
    for i in $(find . -mindepth 4 -maxdepth 4 -type d); do
        cd $i
        #echo 14 | gmx energy -f npt.edr -o density.xvg > density.out
        #echo 4 | gmx msd -f traj_comp.xtc -s topol.tpr -e 5000 > diffusion.out
        echo 1 | gmx msd -f traj_comp.xtc -s topol.tpr -e 5000 -o msd_water.xvg > diffusion_water.out
        rm \#*
        cd ../../../..
    done
    
cd ..
done


